<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
   
    <link rel="stylesheet" href="css/estilos.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

<script>
$(document).ready(function(){
    document.getElementById("cerrar").addEventListener("click",cerrar_banner,false);
});

/*  ********* [PARA BORRAR] **********   */
function cerrar_banner(){

    $("#banner").remove();
}

/*  ********* [CERRAR] **********   */

</script>

<script>

function validar(){
    var nusuario=document.getElementById("Nombre").value;
    
        if(!validateTexto(nusuario)){
            alert("Nombre Incorrecto");}

    var napellido=document.getElementById("Apellido").value;
    if(!validateTexto(napellido)){
            alert("Apellido Incorrecto");}

    var dialleg=document.getElementById("FechadeNacimiento").value;
    if(dialleg > new Date()){
        alert("Fecha Incorrecta");
            }
            if(dialleg < new Date(1900, 11, 31)){
                alert("Fecha Incorrecta");
        }

    var ncomentario=document.getElementById("Comentario").value;
        if(ncomentario==""){
            alert("El campo Comentario Vacio");}


    var nvalueval=document.getElementById("valueval").value;
        if(nvalueval==""){
            alert("El campo Validacion esta Vacio");}

    var nemail=document.getElementById("email").value;
    if( !validateEmail(nemail))
     alert("Mail incorrecto");
}

</script>

<script>

function validateEmail(email) {
  const re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
  return re.test(email);
}

function validateTexto(textovalid) {
  const re =/^(([a-zA-Z]{2,}))$/;
  return re.test(textovalid);
}

function validate() {
  const $result = $("#result");
  const email = $("#email").val();
  $result.text("");

  if (validateEmail(email)) {
    $result.text(email + " is valid :)");
    $result.css("color", "green");
  } else {
    $result.text(email + " is not valid :(");
    $result.css("color", "red");
  }
  return false;
}

$("#email").on("input", validate);




function cartelito(){

$("#cartel").replaceWith("<div class='window-notice' id='window-notice'>  <div class='content'><div class='content-text'>Desea Volver a la pagina anteior <br> <a href='index.html'>SI</a> <a>   </a><a href='encuesta.html' id='close-button'>NO</a></div></div></div>");
}

</script>

<script type="text/javascript">
    $(document).ready(function() {
        $('#limpiar').click(function() {
            $('.textolimp').val('');
            $('.valuelimp').val(' ');
        });
    });
</script>


</head>
<body>
<div id="banner">
    <div id="cerrar" class="bodyavisoX">X

    <h2 class="bodyaviso">Están amparados por el secreto estadístico los datos individuales
        proporcionados a los organismos del Sistema Estadístico Nacional por las
        fuentes de información. La obligación de guardar el secreto estadístico
        alcanza tanto a los organismos como a sus funcionarios, así como a
        terceras personas que tomen conocimiento de los datos relevados al amparo
        del secreto estadístico.</h2>
    </div>
 
</div>
<div>
    <br/><br/><br/><br/><br/>


    <datalist id="browsers">
        <option value="Lamentable">
        <option value="Mala">
        <option value="Podria ser mejor">
        <option value="Cumple con mis espectativas">
        <option value="Me encanto">

      </datalist>





<form action="" method="get" >
   <div class="cuadrotexto" > <label for="username">Nombre:</label>    <input name="Nombre" type="text" id="Nombre" class="textolimp" required></div>
   <div class="cuadrotexto">Apellido: <input name="Apellido" type="text" class="textolimp" id="Apellido" required></div>
    <div class="cuadrotexto">Fecha de Nacimiento: <input name="fdenac" type="date"  class="textolimp" id="FechadeNacimiento" required></div>
    <div class="cuadrotexto">Sexo: </div>
    
    
    <div class="cuadrotexto">
        <p>
            <input type="radio" name="sexo" value="H" /> Hombre
            <input type="radio" name="sexo" value="M" /> Mujer
          </p>
    </div>
    <div class="cuadrotexto">Valuacion  

        <input list="browsers" class="valuelimp" id="valueval" />
    
      </form>
    </div>
    <div class="cuadrotexto">Email  <input name="email" type="email" class="textolimp" id="email" required></div>
    <div class="cuadrotexto">Comentario <input name="" type="text" id="Comentario" class="textolimp"></div>
    <div>
    <input type="button" value="Enviar" onclick="validar()">
    <input type="button" value="Cancelar" onclick="cartelito()">
    <input type="button" value="Restablecer Valores" id="limpiar">

    </div>

</form>
</div>

<div id="cartel"></div>


<!--<script>
    var imagenes=document.querySelectorAll("#carrete img");
    for (var i = 0;i<imagenes.length;i++){
            imagenes[i].style.visibility="hidden";
    }


</script>-->
    
</body>
</html>